**Source URL:** https://general.veevavault.dev/vault-api/api-reference/26.1/scim/users/retrieve-scim-resources.md

# Retrieve SCIM Resources



Retrieve a single SCIM resource type. Defines the endpoints, the core schema URI which defines this resource, and any supported schema extensions.

<Endpoint path="/api/{version}/scim/v2/{type}" method="GET"></Endpoint>

## Headers {#headers}

<FieldTable>
| Name | Description |
| --- | --- |
| `Accept` | `application/json` (default) or `application/scim+json` |
</FieldTable>

## URI Path Parameters {#uri-path-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `type` | The resource type to retrieve. You can retrieve all available types from the [Retrieve All SCIM Resource Types](/vault-api/api-reference/26.1/scim/discovery-endpoints/retrieve-all-scim-resource-types) endpoint, where the value for this parameter is the `endpoint` value. |
</FieldTable>

## Query Parameters {#query-parameters}

<FieldTable>
| Name | Description |
| --- | --- |
| `filter` | Optional: Filter for a specific attribute value. Must be in the format `{attribute} eq "{value}"`. For example, to filter for a particular user name, `userName eq "john"`. Complex expressions are not supported, and `eq` is the only supported operator. |
| `attributes` | Optional: Include specified attributes only. Enter multiple values in a comma separated list. For example, to include only user name and email in the response, `attributes=userName,emails`. Note that the `schemas` and `id` attributes are always returned. |
| `excludedAttributes` | Optional: Exclude specific attributes from the response. Enter multiple values in a comma separated list. For example, to exclude user name and email from the response, `excludedAttributes=userName,emails`. Note that the `schemas` and `id` attributes are always returned and cannot be excluded. |
| `sortBy` | Optional: Specify an attribute or sub-attribute to order the response. For example, you can sort by the `displayName` attribute, or the `name.familyName` sub-attribute. If omitted, the response is sorted by `id`. Note that the following attributes are not supported: `securityPolicy``securityProfile``locale``preferredLanguage` |
| `sortOrder` | Optional: Specify the order in which the `sortBy` parameter is applied. Allowed values are `ascending` or `descending`. If omitted, defaults to `ascending`. |
| `count` | Optional: Specify the number of query results per page, for example, `10`. Negative values are treated as `0`, and `0` returns no results except for `totalResults`. If omitted, defaults to `1000`. |
| `startIndex` | Optional: Specify the index of the first result. For example, `10` would omit the first 9 results and begin on result 10. Omission, negative values, and `0` is treated as `1`. |
</FieldTable>

## Request {#request}

<CodeExample title="">
```
curl -X GET -H "Authorization: {SESSION_ID}" \
https://veepharm.com/api/v18.2/scim/v2/SecurityProfiles

```
</CodeExample>

## Response {#response}

<CodeExample title="">
```
{
    "schemas": [
        "urn:ietf:params:scim:api:messages:2.0:ListResponse"
    ],
    "totalResults": 20,
    "Resources": [
        {
            "schemas": [
                "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
            ],
            "id": "business_admin__v",
            "meta": {
                "created": "2018-02-09T09:41:14.000Z",
                "lastModified": "2018-02-09T09:41:14.000Z",
                "resourceType": "SecurityProfile",
                "location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/business_admin__v"
            },
            "active": true,
            "displayName": "Business Administrator"
        },
        {
            "schemas": [
                "urn:ietf:params:scim:schemas:extension:veevavault:2.0:SecurityProfile"
            ],
            "id": "document_user__v",
            "meta": {
                "created": "2018-02-09T09:41:14.000Z",
                "lastModified": "2018-02-09T09:41:14.000Z",
                "resourceType": "SecurityProfile",
                "location": "https://promomats-template.vaultdev.com/api/v18.2/scim/v2/SecurityProfiles/document_user__v"
            },
            "active": true,
            "displayName": "Document User"
        }
    ]

}

```
</CodeExample>

---

**Previous:** [Update User with SCIM](/vault-api/api-reference/26.1/scim/users/update-user-with-scim)  
**Next:** [Retrieve Single SCIM Resource](/vault-api/api-reference/26.1/scim/users/retrieve-single-scim-resource)